<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('product_quotation_masters', function (Blueprint $table) {
            $table->date('delivery_lead_time')->nullable()->after('quotation_number');
            $table->string('validity_period')->nullable()->after('delivery_lead_time');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('product_quotation_masters', function (Blueprint $table) {
            $table->dropColumn(['delivery_lead_time', 'validity_period']);
        });
    }
};
